using MonoGame.FourEngine.Attributes;
using MonoGame.FourEngine.Resources;

namespace MonoGame.FourEngine.Services
{
    [Service]
    public interface IResourceManager
    {
        IResource Get(string typeName, string fileName);
        T Get<T>(string fileName) where T : IResource;
        void Add(string typeName, IResourceDefinition arg);
        void Clear();
    }
}